<?php

/**
 * The admin-specific functionality of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Profilegrid_Demo_Content
 * @subpackage Profilegrid_Demo_Content/admin
 */

/**
 * The admin-specific functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Profilegrid_Demo_Content
 * @subpackage Profilegrid_Demo_Content/admin
 * @author     Your Name <email@example.com>
 */
class Profilegrid_Demo_Content_Admin {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $profilegrid_demo_content    The ID of this plugin.
	 */
	private $profilegrid_demo_content;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $profilegrid_demo_content       The name of this plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $profilegrid_demo_content, $version ) {

		$this->profilegrid_demo_content = $profilegrid_demo_content;
		$this->version = $version;

	}

	/**
	 * Register the stylesheets for the admin area.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Profilegrid_Demo_Content_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Profilegrid_Demo_Content_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */
             if (class_exists('Profile_Magic') ) {
                    wp_enqueue_style( $this->profilegrid_demo_content, plugin_dir_url( __FILE__ ) . 'css/profilegrid-demo-content-admin.css', array(), $this->version, 'all' );

             }
	}

	/**
	 * Register the JavaScript for the admin area.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Profilegrid_Demo_Content_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Profilegrid_Demo_Content_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */
             if (class_exists('Profile_Magic') ) {
                wp_enqueue_script( $this->profilegrid_demo_content, plugin_dir_url( __FILE__ ) . 'js/profilegrid-demo-content-admin.js', array( 'jquery' ), $this->version, false );
            }
	}
        
        public function profilegrid_demo_content_admin_menu()
	{
            if (class_exists('Profile_Magic') ) {
                add_submenu_page("",__("Demo Content Settings","profilegrid-demo-content"),__("Demo Content Settings","profilegrid-demo-content"),"manage_options","pm_demo_content_settings",array( $this, 'pm_demo_content_settings' ));
        
            }
        }
	
        public function pm_demo_content_settings()
        {
            include 'partials/profilegrid-demo-content-admin-display.php';
        }
        
        public function profilegrid_demo_content_add_option_setting_page()
        {
            include 'partials/profilegrid-demo-content-setting-option.php';
        }
        
        public function profile_magic_demo_content_notice_fun()
        {
            if (!class_exists('Profile_Magic') ) {
                    
                $this->Display_name_installation();
                    //wp_die( "ProfileGrid Stripe won't work as unable to locate ProfileGrid plugin files." );
            }
        }
        
        public function Display_name_installation()
        {
            $plugin_slug= 'profilegrid-user-profiles-groups-and-communities';
            $installUrl = admin_url('update.php?action=install-plugin&plugin=' . $plugin_slug);
            $installUrl = wp_nonce_url($installUrl, 'install-plugin_' . $plugin_slug);
            ?>
            <div class="notice notice-success is-dismissible">
                <p><?php echo sprintf(__( "ProfileGrid Demo Content work with ProfileGrid Plugin. You can install it  from <a href='%s'>Here</a>.", 'profilegrid-demo-content' ),$installUrl); ?></p>
            </div>
            <?php
        }
        
      
        
        public function activate_sitewide_plugins($blog_id)
        {
            // Switch to new website
            $dbhandler = new PM_DBhandler;
            $activator = new Profile_Magic_Activator;
            switch_to_blog( $blog_id );
            // Activate
            foreach( array_keys( get_site_option( 'active_sitewide_plugins' ) ) as $plugin ) {
                do_action( 'activate_'  . $plugin, false );
                do_action( 'activate'   . '_plugin', $plugin, false );
                $activator->activate();
                
            }
            // Restore current website 
            restore_current_blog();
        }
        
        public function profile_magic_demo_content()
        {
            //print_r($_POST);die;
            $group_count = $_POST['group_count'];
            $limit = $_POST['members_count'];
            $pagenum = 1;
            
            if(isset($_POST['pm_enable_multigroup']))
            {
                $multi_groups = $_POST['pm_enable_multigroup'];
            }
            else
            {
                $multi_groups = 0;
            }
            
            if(current_user_can('manage_options'))
            { 
                $dbhandler = new PM_DBhandler;
                $groups = array();
                $fields = array();
                $users = array();
                $sections_array = array();
                $fid = array();
                $images = array('doctors.jpg','astronomers.jpg','archaeologist.jpg','developers.jpg','visitors.jpg','tester.jpg','blogger.jpg','photographers.jpg','media.jpg','marketing.jpg');
                $cover_images = array('cover1.jpg','cover2.jpg','cover3.jpg','cover4.jpg');
                $groups_name = array('Doctors','Astronomers','Archaeologist','Developers Group','Visitors Group','Testers Group','Bloggers Group','Photographers Group','Media Group','Marketing Group');
                $descriptions = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla tempus et eros semper pretium. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Duis convallis sapien id massa blandit dignissim. Donec scelerisque ullamcorper purus vitae tempus. Nullam et felis sagittis, congue massa sed, blandit purus. Ut vel mattis urna. Morbi vestibulum bibendum lectus, eu iaculis nulla venenatis nec. Duis sodales mollis massa a lacinia.';
                $group_icons = $this->pm_upload_images($images);
                $covers = $this->pm_upload_images($cover_images);
                //print_r($group_icons);
                $i=0;
                $j=1;
                $ggid = 1;
                
                foreach($groups_name as $group)
                {
                    if($i>=$group_count)
                    {
                        break;
                    }
                    $data = array(
                                'group_name'=> $group,
                                'associate_role'=>'subscriber',
                                'group_desc'=>$descriptions,
                                'group_icon'=>$group_icons[$i],
                                'show_success_message'=>1,
                                'group_leaders'=>'a:1:{s:7:"primary";s:0:"";}',
                                'group_options'=>'a:32:{s:10:"group_type";s:4:"open";s:10:"group_page";s:1:"0";s:11:"admin_label";s:0:"";s:18:"group_option_label";a:1:{i:0;s:0:"";}s:18:"group_option_value";a:1:{i:0;s:0:"";}s:18:"bbpress_enable_tab";s:1:"1";s:21:"bbpress_create_topics";s:1:"1";s:22:"bbpress_create_replies";s:1:"1";s:25:"woocommerce_purchases_tab";s:1:"1";s:23:"woocommerce_max_product";s:2:"10";s:23:"woocommerce_reviews_tab";s:1:"1";s:29:"woocommerce_orders_in_account";s:1:"1";s:39:"woocommerce_shipping_address_in_account";s:1:"1";s:38:"woocommerce_billing_address_in_account";s:1:"1";s:28:"woocommerce_show_total_spent";s:1:"1";s:39:"woocommerce_show_total_spent_permission";s:1:"1";s:11:"group_price";s:0:"";s:10:"pg_rm_form";s:1:"0";s:16:"redirect_page_id";s:4:"8330";s:12:"redirect_url";s:0:"";s:19:"enable_notification";s:1:"1";s:15:"on_registration";s:1:"1";s:17:"on_request_denied";s:2:"10";s:16:"on_user_activate";s:1:"2";s:18:"on_user_deactivate";s:1:"3";s:18:"on_password_change";s:1:"4";s:18:"on_account_deleted";s:1:"5";s:21:"on_published_new_post";s:1:"6";s:23:"on_admin_reset_password";s:1:"9";s:21:"on_membership_request";s:2:"11";s:19:"on_admin_assignment";s:1:"7";s:16:"on_admin_removal";s:1:"8";}',
                                'success_message'=>__('Thank you for signing up.','profilegrid-user-profiles-groups-and-communities'));
                            $arg = array('%s','%s','%s','%d','%d','%s','%s','%s');
                            $gid = $dbhandler->insert_row('GROUPS', $data,$arg);
                            $sections = array('Personal Details','Professional Details');
                            $groups[] = $gid;
                            $ssid = 1;
                            foreach($sections as $section)
                            {
                                if($i==0 || $i==2)
                                {
                                    $sectionloop=1;
                                }
                                else
                                {
                                    $sectionloop=2;
                                }
                                if($ssid>$sectionloop)
                                {
                                    continue;
                                }
                                $section_data = array('gid'=>$gid,'section_name'=>__($section,'profilegrid-user-profiles-groups-and-communities'),'ordering'=>$j);
                                $section_arg = array('%d','%s','%d');
                                $sid = $dbhandler->insert_row('SECTION', $section_data,$section_arg);
                                $sections_array[] = $sid;
                                $fid = $this->pm_import_fields_from_csv($gid,$sid,$j);
                                $fields = array_merge($fid,$fields);
                                $j++;
                                $ssid++;
                            }
                            $offset = ( $pagenum - 1 ) * $limit;
                           
                            $uid = $this->import_users($gid,$offset,$limit,$covers);
                            $users = array_merge($uid,$users);
                            
                            $ggid++;
                            $pagenum++;
                    $i++;
                    
                }
                
               
                $dbhandler->update_global_option_value('pg_import_demo_users',$users);
                $dbhandler->update_global_option_value('pg_import_demo_groups',$groups);
                $dbhandler->update_global_option_value('pg_import_demo_sections',$sections_array);
                $dbhandler->update_global_option_value('pg_import_demo_fields',$fields);
                echo count($groups). ' Groups and '. count($users).' Users imported.';
                        
                
            }
           
            die;
        }
        
        public function pm_upload_images($images)
        {
            $attachments = array();
            if ( ! function_exists( 'media_handle_sideload' ) )
            {
                require_once( ABSPATH . 'wp-admin/includes/file.php' );
                require_once( ABSPATH . 'wp-admin/includes/image.php' );
            }
            
            if(is_array($images) && !empty($images))
            {
                foreach($images as $image)
                {
                    $url = plugin_dir_url(__FILE__).'partials/images/'.$image;
                    $path = plugin_dir_path(__FILE__).'partials/images/'.$image;
                    $file['name'] = $image;
                    $file['tmp_name'] = download_url($url);
                   // print_r($file);
                    $attachments[] = media_handle_sideload($file);
                }
            }
            
            return $attachments;
            
        }
        
        public function pm_import_fields_from_csv($gid,$sid,$i)
        {
          
            $delimiter = ',';
            $filepath = plugin_dir_path(__FILE__).'partials/images/fields'.$i.'.csv';
            $file = new SplFileObject( $filepath );
            $fid = array();
            while($data = $file->fgetcsv( $delimiter )):
              if(!empty($data[1]))
              {
                $fid[] = $this->pm_create_new_field($data,$gid,$sid);
              }
            endwhile;
            return $fid;

        }
        
        public function import_users($gid,$offset = 0,$count=2,$covers=array())
        {
            $delimiter = ',';
            $filepath = plugin_dir_path(__FILE__).'partials/images/users.csv';
            $file = new SplFileObject( $filepath );
            $file->seek($offset);
            $uid = array();
            $i=1;
            $j=0;
            while($data = $file->fgetcsv( $delimiter )):
                if($i<=$count && $data[0]!='' && $data[0]!=NULL)
                {
                    $uid[] = $this->pm_create_new_user($data,$gid,$covers[$j]);
                    $i++;
                    $j++;
                }
                   

            endwhile;
            return $uid;
        }
        
        public function pm_create_new_user($data,$gid='',$coverimage='')
        {
            $dbhandler = new PM_DBhandler;
            $pmrequest = new PM_request;
            $password = $this->generate_password(10);
            if(email_exists($data[3])) 
            {
                $user_id = $uid = email_exists($data[3]);
                $user_group = maybe_unserialize($pmrequest->profile_magic_get_user_field_value($uid,'pm_group'));
                $user_groups = $pmrequest->pg_filter_users_group_ids($user_group);
                $joining_dates = $pmrequest->profile_magic_get_user_field_value($uid,'pm_joining_date');

                if(is_array($user_groups))
                {
                    $gid_array = $user_groups;
                } 
                else
                {
                    if($user_groups != '' && $user_groups != NULL)
                    {
                        $gid_array = array($user_groups);
                    }
                    else
                    {
                        $gid_array = array();
                    }
                }

                if(is_array($joining_dates) && !empty($joining_dates))
                {
                    $joining_dates["$gid"]=  date('Y-m-d');
                }
                else
                {
                    $joining_dates = array();
                    $joining_dates["$gid"]=  date('Y-m-d');

                }
                if(!in_array("$gid", $gid_array))
                {
                    $gid_array = array_merge($gid_array, array("$gid"));
                }
                
            }
            else
            {
                $user_id = $dbhandler->pm_add_user($data[0],$password,$data[3],'subscriber');
                $newpass = $pmrequest->pm_encrypt_decrypt_pass('encrypt',$password);
                update_user_meta( $user_id,'user_pass',$newpass);
                update_user_meta( $user_id,'rm_user_status','0');
                update_user_meta( $user_id,'first_name',$data[1]);
                update_user_meta( $user_id,'last_name',$data[2]);
                update_user_meta( $user_id,'pm_cover_image', $coverimage);
                
                $image = $data[0].'.jpg';
                $url = plugin_dir_url(__FILE__).'partials/images/'.$image;
                $file['name'] = $image;
                $file['tmp_name'] = download_url($url);
               // print_r($file);
                $profile_picture = media_handle_sideload($file);
                if ( is_wp_error( $profile_picture ) ) {
                    @unlink( $file['tmp_name'] );
                }
                else
                {
                    update_user_meta($user_id,'pm_user_avatar', $profile_picture);
                }
                
               
                $gid_array = array("$gid");
                $joining_dates = array();
                $joining_dates["$gid"]=  date('Y-m-d');
            }
                
                $update =  update_user_meta($user_id,'pm_joining_date', $joining_dates);
                $update =  update_user_meta($user_id,'pm_group', $gid_array);
            
            return $user_id;
            
        }
        
        public function generate_password($n) 
        { 
            $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'; 
            $randomString = ''; 

            for ($i = 0; $i < $n; $i++) { 
                $index = rand(0, strlen($characters) - 1); 
                $randomString .= $characters[$index]; 
            } 

            return $randomString; 
        } 
  
        public function pm_create_new_field($field,$gid,$sid)
        {
              $dbhandler = new PM_DBhandler; 
              $pmrequest = new PM_request;
              $lastrow = $dbhandler->get_all_result('FIELDS','field_id',1,'var',0,1,'field_id','DESC');
              $ordering = $lastrow + 1;
              $field_key = $pmrequest->get_field_key($field[3],$ordering);
              $field_data = array('field_name'=>$field[1],'field_type'=>$field[3],'field_options'=>$field[4],'field_icon'=>$field[5],'associate_group'=>$gid,'associate_section'=>$sid,'show_in_signup_form'=>1,'is_required'=>$field[9],'display_on_profile'=> $field[11],'display_on_group'=>0,'visibility'=>$field[13] ,'ordering'=>$ordering,'field_key'=>$field_key);
              $field_arg = array('%s','%s','%s','%d','%d','%d','%d','%d','%d','%d','%d','%d','%s');
              $fid = $dbhandler->insert_row('FIELDS', $field_data,$field_arg);

              return $fid;
        }
    

}
