<?php

/**
 * @link              http://profilegrid.co
 * @since             1.0.0
 * @package           ProfileGrid_Demo_content
 *
 * @wordpress-plugin
 * Plugin Name:       ProfileGrid Demo Content
 * Plugin URI:        http://profilegrid.co
 * Description:       This dynamic extension enables admin to import demo content. The admin can also import these groups with multiple fields, sections and users. Moreover, the admins get an option to choose number of demo groups they want to import.
 * Version:           1.3
 * Author:            profilegrid
 * Author URI:        http://profilegrid.co
 * License:           Commercial/ Proprietary
 * Text Domain:       profilegrid-demo-content
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-profilegrid-demo-content-activator.php
 */
function activate_profilegrid_demo_content() {
	$pm_demo_content_activator = new Profilegrid_Demo_Content_Activator;
	$pm_demo_content_activator->activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-profilegrid-demo-content-deactivator.php
 */
function deactivate_profilegrid_demo_content() {
        $pm_demo_content_deactivator = new Profilegrid_Demo_Content_Deactivator();
	$pm_demo_content_deactivator->deactivate();
}

register_activation_hook( __FILE__, 'activate_profilegrid_demo_content' );
register_deactivation_hook( __FILE__, 'deactivate_profilegrid_demo_content' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-profilegrid-demo-content.php';
require_once plugin_dir_path( __FILE__ ) . 'plugin-updates/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker('http://profilegrid.co/demo_content_metadata.json', __FILE__, 'profilegrid-user-profiles-groups-and-communities-profilegrid-demo-content');
  

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_profilegrid_demo_content() {

	$plugin = new Profilegrid_Demo_Content();
	$plugin->run();

}
run_profilegrid_demo_content();
