<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

Class ProfileGrid_Elementor_Helper{
    
    public function profilegrid_elementor_show_content_to() 
    {

	$rules = [
		'loggedin'  => __( 'Logged In Users', 'restrict-elementor-widgets' ),
		'loggedout' => __( 'Logged Out Users', 'restrict-elementor-widgets' ),
                'group-wise' => __( 'Specific Group(s) Members', 'restrict-elementor-widgets' ),
		'role-wise' => __( 'Specific Roles', 'restrict-elementor-widgets' ),
		'user-wise' => __( 'Specific Users', 'restrict-elementor-widgets' ),
		'date-time' => __( 'Date Time', 'restrict-elementor-widgets' ),
		'query-string' => __( 'Query String', 'restrict-elementor-widgets' )
	];

	return apply_filters( 'profilegrid_elementor_show_content_to', $rules );
    }
    
    public function profilegrid_elementor_show_content_to_roles() 
    {

	$user_roles = [
		'subscriber'  	=> __( 'Subscriber', 'restrict-elementor-widgets' ),
		'contributor' 	=> __( 'Contributor', 'restrict-elementor-widgets' ),
		'author' 		=> __( 'Author', 'restrict-elementor-widgets' ),
		'editor' 		=> __( 'Editor', 'restrict-elementor-widgets' ),
		'administrator' => __( 'Administrator', 'restrict-elementor-widgets' ),
	];

	return apply_filters( 'profilegrid_elementor_user_roles_to_show_content', $user_roles );
    }
    
    public function profilegrid_elementor_show_content_to_groups() 
    {
        $options = array();
        $dbhandler = new PM_DBhandler;
        $groups = $dbhandler->get_all_result('GROUPS');
        foreach($groups as $group) 
        {
            $ids      =   $group->id;
            $options[$ids]  =   $group->group_name;
        }
	$user_groups = $options;

	return apply_filters( 'profilegrid_elementor_user_roles_to_show_content', $user_groups );
    }
    
    public function profilegrid_elementor_get_message_templates() 
    {

	$args = [  
	    'post_type' 	 => 'elementor_library',
	    'post_status' 	 => 'publish',
	    'posts_per_page' => -1, 
	    'order' 		 => 'DESC',
	    'meta_query' 	 => [
	    	'relation' 	 => 'AND',
			[
				'key' 		=> '_elementor_template_type',
				'value' 	=> 'section',
			]
                ]
            ];

            $result = new \WP_Query( $args ); 
            $_tabs 	= $result->posts;

            $tabs = [];
            foreach ( $_tabs as $tab ) {
            $tabs[ $tab->ID ] = $tab->post_title;
        }   

        return $tabs;
    }
    
    public function profilegrid_elementor_render_message( $settings, $echo = true ) 
    {

	$message = '';

	if( !isset( $settings['show_message'] ) || $settings['show_message'] == 'text' ) {

		$message = isset( $settings['message_text'] ) ? $settings['message_text'] : '';

	}

	if( !isset( $settings['show_message'] ) || $settings['show_message'] == 'template' ) {
		if ( isset( $settings['message_template'] ) && $settings['message_template'] != '' ) {
			$elementor_instance = \Elementor\Plugin::instance();
			$message = $elementor_instance->frontend->get_builder_content_for_display( $settings['message_template']  );
		}
	}

	if ( $echo ) {
		echo $message;
		return;
	}

	return $message;
    }

    public function pg_content_check_restrictions( $settings ) 
    {
	extract( $settings );
        //print_r($show_content_to);die;
	$is_eligible = false;
	if ( isset( $show_content_to ) && !empty($show_content_to) && count( $show_content_to ) > 0 ) 
        {
		if ( 
			( in_array( 'loggedin', $show_content_to ) && is_user_logged_in() ) ||
			( in_array( 'loggedout', $show_content_to ) && !is_user_logged_in() ) ||
			( in_array( 'role-wise', $show_content_to ) && isset( $show_content_to_roles ) && $this->pg_content_check_user_has_role( $show_content_to_roles ) )|| 
                        ( in_array( 'group-wise', $show_content_to ) && isset( $show_content_to_groups ) && $this->pg_content_check_user_has_group( $show_content_to_groups ) )|| 
			( in_array( 'user-wise', $show_content_to ) && isset( $user_ids ) && $this->pg_content_check_user_has_id( $user_ids ) ) ||
			( in_array( 'date-time', $show_content_to ) && $this->pg_content_check_is_time_eligible( $settings ) ) ||
			( in_array( 'query-string', $show_content_to ) && $this->pg_content_check_is_has_query( $settings ) ) 
		) {
			$is_eligible = true;
		}
	}
        else
        {
            $is_eligible = true;
        }

	return apply_filters( 'pg_content_check_is_eligible', $is_eligible, $settings );
    }
    
    public function pg_content_check_is_has_query( $settings )	
    {

	extract( $settings );
	$is_eligible = false;
        $pmrequest = new PM_request;
        $uid = get_current_user_id();
        //$user_groups = $pmrequest->profile_magic_get_user_field_value($uid,'pm_group');
        //$gid_array = $pmrequest->pg_filter_users_group_ids($user_groups);
       
        $relation = isset( $profilegrid_elementor_query_relation ) ? $profilegrid_elementor_query_relation : 'OR';
	$query_matched = 0;
	foreach ( $profilegrid_elementor_query_list as $query ) {
		if($pmrequest->profile_magic_get_user_field_value($uid,$query['profilegrid_elementor_query_key']) == $query['profilegrid_elementor_query_value'] ) {
			$query_matched ++;
		}
	}

	if ( ( $relation == 'AND' && $query_matched == count( $profilegrid_elementor_query_list ) ) ||  ( $relation == 'OR' && $query_matched > 0 ) ) {
		$is_eligible = true;
	}
	
	return $is_eligible;		
    }

    public function pg_content_check_is_eligible_today( $dates ) 
    {
	$today = date('Y-m-d', current_time( 'timestamp' ) );

	foreach ( $dates as $date ) {
		if ( isset( $date['profilegrid_elementor_dates'] ) && $today == $date['profilegrid_elementor_dates'] ) {
			return true;
		}
	}

	return false;
    }

    public function pg_content_check_is_time_eligible( $settings )	
    {

	extract( $settings );	
	$is_eligible 	= false;
	$is_eligible_now = $this->pg_content_check_is_eligible_now( $rewdt_specific_time, $profilegrid_elementor_time_list );
					
	if ( isset( $date_time_type ) ) {
		if ( $date_time_type == 'daily' && $is_eligible_now ) {
			$is_eligible 	= true;
		}
		elseif ( $date_time_type == 'date' && isset( $profilegrid_elementor_date_list ) && count( $profilegrid_elementor_date_list ) > 0 && $is_eligible_now ) {
			$is_eligible 	= $this->pg_content_check_is_eligible_today( $profilegrid_elementor_date_list );
		}
		elseif ( $date_time_type == 'day' && isset( $profilegrid_elementor_day_list ) && count( $profilegrid_elementor_day_list ) > 0 ) {
			$today = strtolower( date('D') );
			if ( in_array( $today, $profilegrid_elementor_day_list ) && $is_eligible_now ) {
				$is_eligible 	= true;
			}
		}
	}

	return $is_eligible;		
    }
    
    public function pg_content_check_is_eligible_now( $specific_time, $time_list ) 
    {

	$is_eligible 	= true;
	if ( isset( $specific_time ) && $specific_time == 'yes' ) {
		$is_eligible 	= false;
		if ( isset( $time_list ) && count( $time_list ) > 0 ) {
			foreach ( $time_list as $time_plot ) {
				if ( isset( $time_plot['profilegrid_elementor_due_time_from'] ) && isset( $time_plot['profilegrid_elementor_due_time_to'] ) ) {				
					if( current_time( 'timestamp' ) >= strtotime( $time_plot['profilegrid_elementor_due_time_from'] ) &&
						current_time( 'timestamp' ) <= strtotime( $time_plot['profilegrid_elementor_due_time_to'] ) ){
						return true;						    
					}
				}
			} //foreach
		}
	}

	return $is_eligible;
    }
    
    public function pg_content_check_user_has_id( $ids ) 
    {

	$has_id = false;
	
	if ( $ids != '' ) {

		$ids  = str_replace( ' ', '', $ids );
		$_ids = explode( ',', $ids );

		$has_id = in_array( get_current_user_id(), $_ids );
	}

	return apply_filters( 'pg_content_check_user_has_id', $has_id );
    }
    
    public function pg_content_check_user_has_role( $roles ) {

	$has_role = false;

	$user = wp_get_current_user();

	if ( count( $roles ) > 0 ) {
		$has_role = count( array_intersect( $roles, (array) $user->roles ) ) > 0;
	}

	return apply_filters( 'pg_content_check_user_has_role', $has_role );
    }
    
    public function pg_content_check_user_has_group($groups)
    {
        $has_group = false;
        $pmrequest = new PM_request;
        
        $uid = get_current_user_id();
        
        $user_groups = $pmrequest->profile_magic_get_user_field_value($uid,'pm_group');
        $gid_array = $pmrequest->pg_filter_users_group_ids($user_groups);
        
        if ( count( $groups ) > 0 ) {
		$has_group = count( array_intersect( $groups,$gid_array ) ) > 0;
	}
       
        return apply_filters( 'pg_content_check_user_has_group', $has_group );
    }

}