<?php

/**
 * @link              http://profilegrid.co
 * @since             1.0.0
 * @package           Profilegrid_elementor_content_restrictions
 *
 * @wordpress-plugin
 * Plugin Name:       ProfileGrid Elementor Content Restrictions
 * Plugin URI:        http://profilegrid.co
 * Description:       Profilegrid content restrictions widget provides the feature to restrict content with Elementor page builder.
 * Version:           1.3
 * Author:            profilegrid
 * Author URI:        http://profilegrid.co
 * License:           Commercial/ Proprietary
 * Text Domain:       profilegrid-elementor-content-restrictions
 * Domain Path:       /languages
  * Elementor tested up to: 3.5.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-profilegrid-notifications-activator.php
 */
function activate_Profilegrid_elementor_content_restrictions() {
	$pm_user_slider_activator = new Profilegrid_elementor_content_restrictions_Activator;
	$pm_user_slider_activator->activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-profilegrid-notifications-deactivator.php
 */
function deactivate_Profilegrid_elementor_content_restrictions() {
        $pm_user_slider_deactivator = new Profilegrid_elementor_content_restrictions_Deactivator();
	$pm_user_slider_deactivator->deactivate();
}

register_activation_hook( __FILE__, 'activate_Profilegrid_elementor_content_restrictions' );
register_deactivation_hook( __FILE__, 'deactivate_Profilegrid_elementor_content_restrictions' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-profilegrid-elementor-content-restrictions.php';
require_once plugin_dir_path( __FILE__ ) . 'plugin-updates/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker('http://profilegrid.co/elementor_content_restrictions_metadata.json', __FILE__, '/profilegrid-elementor-content-restrictions');
 
/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_Profilegrid_elementor_content_restrictions() {

	$plugin = new Profilegrid_elementor_content_restrictions();
	$plugin->run();

}
run_Profilegrid_elementor_content_restrictions();
