<?php
/**
 * The public-facing functionality of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Profilegrid_elementor_content_restrictions
 * @subpackage Profilegrid_elementor_content_restrictions/public
 */
/**
 * The public-facing functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Profilegrid_elementor_content_restrictions
 * @subpackage Profilegrid_elementor_content_restrictions/public
 * @author     Your Name <email@example.com>
 */


class Profilegrid_elementor_content_restrictions_Public {

    /**
     * The ID of this plugin.
     *
     * @since    1.0.0
     * @access   private
     * @var      string    $Profilegrid_elementor_content_restrictions    The ID of this plugin.
     */
    private $Profilegrid_elementor_content_restrictions;

    /**
     * The version of this plugin.
     *
     * @since    1.0.0
     * @access   private
     * @var      string    $version    The current version of this plugin.
     */
    private $version;

    /**
     * Initialize the class and set its properties.
     *
     * @since    1.0.0
     * @param      string    $Profilegrid_elementor_content_restrictions       The name of the plugin.
     * @param      string    $version    The version of this plugin.
     */
    public function __construct($Profilegrid_elementor_content_restrictions, $version) {

        $this->Profilegrid_elementor_content_restrictions = $Profilegrid_elementor_content_restrictions;
        $this->version = $version;
    }

    /**
     * Register the stylesheets for the public-facing side of the site.
     *
     * @since    1.0.0
     */
    public function enqueue_styles() {

        /**
         * This function is provided for demonstration purposes only.
         *
         * An instance of this class should be passed to the run() function
         * defined in Profilegrid_elementor_content_restrictions_Loader as all of the hooks are defined
         * in that particular class.
         *
         * The Profilegrid_elementor_content_restrictions_Loader will then create the relationship
         * between the defined hooks and the functions defined in this
         * class.
         */
        wp_enqueue_style($this->Profilegrid_elementor_content_restrictions, plugin_dir_url(__FILE__) . 'css/profilegrid-elementor-content-restrictions-public.css', array(), $this->version, 'all');
      
    }

    /**
     * Register the JavaScript for the public-facing side of the site.
     *
     * @since    1.0.0
     */
    public function enqueue_scripts() {

        /**
         * This function is provided for demonstration purposes only.
         *
         * An instance of this class should be passed to the run() function
         * defined in Profilegrid_elementor_content_restrictions_Loader as all of the hooks are defined
         * in that particular class.
         *
         * The Profilegrid_elementor_content_restrictions_Loader will then create the relationship
         * between the defined hooks and the functions defined in this
         * class.
         */
        wp_enqueue_script('jquery');
        //wp_enqueue_script('pg_users_slick', plugin_dir_url(__FILE__) . 'slick/slick.js', array('jquery'), $this->version, false);
        wp_enqueue_script($this->Profilegrid_elementor_content_restrictions, plugin_dir_url(__FILE__) . 'js/profilegrid-elementor-content-restrictions-public.js', array(), $this->version, true);
        
    }
    
            
    
    
    public function pg_check_content_access($content)
	{
		$id = get_the_ID();
                $dbhandler = new PM_DBhandler;
                $author_id =  get_the_author_meta('ID');
                $pmfriends = new PM_Friends_Functions;
                $pmrequests = new PM_request;
                //echo get_post_meta($id,'pm_content_access',true);
                $admin_note = get_post_meta($id,'pm_admin_note_content',true);
                if(trim($admin_note)!='')
                {
                    $note = '<div class="pg-admin-note">'.$admin_note.'</div>';
                    $note_position = get_post_meta($id,'pm_admin_note_position',true);
                    if($note_position=='top')
                    {
                        $content = $note.$content;
                    }
                    else
                    {
                        $content = $content.$note;
                    }
                    
                }
                
		
			if(get_post_meta($id,'pm_content_access',true)== 'pg_restriction_2')
			{
				  if ( is_user_logged_in() ) 
				  {
                                        $uid = get_current_user_id();
					if(get_post_meta($id,'pm_elementor_selected_groups',true)!='all')
					{
						$gids = maybe_unserialize(get_user_meta($uid,'pm_group',true));
                                                $user_group = $pmrequests->pg_filter_users_group_ids($gids);
                                                if(!empty($user_group))
                                                {
                                                    if(!is_array($user_group))
                                                    {
                                                        $user_group=array($user_group);
                                                    }
                                                }
                                                else
                                                {
                                                    $user_group = array();
                                                }
                                                if(!in_array(get_post_meta($id,'pm_elementor_selected_groups',true),$user_group))
						{
                                                     $gid = get_post_meta($id,'pm_elementor_selected_groups',true);
                                                     $groupinfo = $dbhandler->get_row('GROUPS',$gid);
                                                     $group_page_url = $pmrequests->profile_magic_get_frontend_url('pm_group_page','',$gid);
                                                     $group_page_link = add_query_arg( 'gid',$gid,$group_page_url );
                                                    if(isset($groupinfo)){$group_name = $groupinfo->group_name;}else{$group_name = '';}
							 //$error = $pmrequests->profile_magic_get_error_message('not_permitted','profilegrid-user-profiles-groups-and-communities');
					  		 $err = __('Only members of <a href="%s" target="_blank">%s</a> group can view this page.','profilegrid-user-profiles-groups-and-communities');
                                                         $error =  sprintf( $err,$group_page_link,$group_name );
                                                         $content = $this->pg_content_access_message($error);
						}
					}
				  }
				  else
				  {
					  $error = $pmrequests->profile_magic_get_error_message('loginrequired','profilegrid-user-profiles-groups-and-communities');
					  $content = $this->pg_content_access_message($error);
				  }
			}
                        
                        if(get_post_meta($id,'pm_content_access',true)=='pg_restriction_4')
                        {
                            if ( is_user_logged_in() ) 
				  {
                                        $author_friends = $pmfriends->profile_magic_my_friends($author_id);
                                        $uid = get_current_user_id();
                                        if($uid!=$author_id)
                                        {
                                            if(!in_array($uid,$author_friends))
                                            {
                                               
                                                $author_profile_url = $pmrequests->pm_get_user_profile_url($author_id);
                                                $author_name = $pmrequests->pm_get_display_name($author_id);
                                                $err = __('Only those members who are friends of <a href="%s" target="_blank">%s</a> can view this page.','profilegrid-user-profiles-groups-and-communities');
                                                $error =  sprintf( $err,$author_profile_url,$author_name );
                                                $content = $this->pg_content_access_message($error);
                                            }
                                        }
				  }
				  else
				  {
					  $error = $pmrequests->profile_magic_get_error_message('loginrequired','profilegrid-user-profiles-groups-and-communities');
					  $content = $this->pg_content_access_message($error);
				  }
                        }
                        
                        if(get_post_meta($id,'pm_content_access',true)=='pg_restriction_5')
                        {
                            if ( is_user_logged_in() ) 
				  {
                                        $uid = get_current_user_id();
					if($uid!=$author_id)
					{
                                            
                                            $author_profile_url = $pmrequests->pm_get_user_profile_url($author_id);
                                            $author_name = $pmrequests->pm_get_display_name($author_id);
                                            $err = __('This content is restricted. Please contact <a href="%s" target="_blank">%s</a> for more details.','profilegrid-user-profiles-groups-and-communities');
                                            $error =  sprintf( $err,$author_profile_url,$author_name );
                                            $content = $this->pg_content_access_message($error);
                                            
					}
				  }
				  else
				  {
					  $error = $pmrequests->profile_magic_get_error_message('loginrequired','profilegrid-user-profiles-groups-and-communities');
					  $content = $this->pg_content_access_message($error);
				  }
                        }
                        
                        if(get_post_meta($id,'pm_content_access',true)=='pg_restriction_3')
			{ 
				  if ( is_user_logged_in() ) 
				  {
                                        $uid = get_current_user_id();
					$author_groups = get_user_meta($author_id,'pm_group',true);
                                        
					$user_group = get_user_meta($uid,'pm_group',true);
                                        if(!empty($user_group))
                                        {
                                            if(!is_array($user_group))
                                            {
                                                $user_group=array($user_group);
                                            }
                                        }
                                        else
                                        {
                                            $user_group = array();
                                        }
                                        
                                        if(!empty($author_groups))
                                        {
                                            if(!is_array($author_groups))
                                            {
                                                $author_groups=array($author_groups);
                                            }
                                        }
                                        else
                                        {
                                            $author_groups = array();
                                        }
                                        $is_group_member = array_intersect($author_groups, $user_group);
                                        if(empty($is_group_member))
                                        {
                                            $string = '';
                                            foreach($author_groups as $agid)
                                            {
                                                $groupinfo = $dbhandler->get_row('GROUPS',$agid);
                                                $group_page_url = $pmrequests->profile_magic_get_frontend_url('pm_group_page','',$agid);
                                                $group_page_link = add_query_arg( 'gid',$agid,$group_page_url );
                                                if(isset($groupinfo)){$group_name = $groupinfo->group_name;}else{$group_name = '';}
                                                $string = $string.'<a href="'.$group_page_link.'" target="_blank">'.$group_name.'</a>, ';
                                            }
                                            
                                                        $err = __('Only members of %s group(s) can view this page.','profilegrid-user-profiles-groups-and-communities');
                                                        $string = rtrim($string,', ');
                                                        $error =  sprintf( $err,$string);
                                                 
                                                 $content = $this->pg_content_access_message($error);
                                        }
					
				  }
				  else
				  {
					  $error = $pmrequests->profile_magic_get_error_message('loginrequired','profilegrid-user-profiles-groups-and-communities');
					  $content = $this->pg_content_access_message($error);
				  }
			}
                        
                        
		
                
		return $content;	
	}
        
    public function pg_content_access_message($error)
    {
            $content = '<div class="pm-login-box-error"><span>';
            $content .= $error;
            $content .= '</span>
            </div>';	
            return $content;
    }

    public function restrict_render_section( $should_render, $object )	
    {
        
        $helper = new ProfileGrid_Elementor_Helper;
        $settings = $object->get_settings_for_display();
        if ( !isset( $settings['enable_restriction'] ) )
        {
            return $should_render;
        }

        if($helper->pg_content_check_restrictions( $settings ) )
        {
            return $should_render;
        }
        
        $helper->profilegrid_elementor_render_message( $settings );

        return false;
    }

    public function restrict_render_widgets( $content, $widget )	
    {
        $helper = new ProfileGrid_Elementor_Helper;
        $settings = $widget->get_settings_for_display();

        if ( !isset( $settings['enable_restriction'] ) )
        {
            return $content;
        }
        // rew_pri( $widget );
        extract( $settings );

        if ( $helper->pg_content_check_restrictions( $settings ) )
        {
            return $content;
        }

        return $helper->profilegrid_elementor_render_message( $settings, false );
    }
   


}
            