<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://profilegrid.co
 * @since      1.0.0
 *
 * @package    Profilegrid_elementor_groups_widget
 * @subpackage Profilegrid_elementor_groups_widget/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Profilegrid_elementor_groups_widget
 * @subpackage Profilegrid_elementor_groups_widget/includes
 * @author     profilegrid
 */
class Profilegrid_elementor_groups_widget_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'/profilegrid-elementor-groups-widget',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
