<?php

/**
 * @link              http://profilegrid.co
 * @since             1.0.0
 * @package           Profilegrid_elementor_groups_widget
 *
 * @wordpress-plugin
 * Plugin Name:       ProfileGrid Elementor Integration
 * Plugin URI:        http://profilegrid.co
 * Description:       Use ProfileGrid elements as native Elementor widgets and build custom layouts you always wanted with your favorite composer.
 * Version:           1.0
 * Author:            profilegrid
 * Author URI:        http://profilegrid.co
 * License:           Commercial/ Proprietary
 * Text Domain:       profilegrid-elementor-integration
 * Domain Path:       /languages
  * Elementor tested up to: 3.4.4
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-profilegrid-elementor-groups-widget-activator.php
 */
function activate_Profilegrid_elementor_groups_widget() {
	$pm_elementor_activator = new Profilegrid_elementor_groups_widget_Activator;
	$pm_elementor_activator->activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-profilegrid-elementor-groups-widget-deactivator.php
 */
function deactivate_Profilegrid_elementor_groups_widget() {
    $pm_elementor_deactivator = new Profilegrid_elementor_groups_widget_Deactivator();
	$pm_elementor_deactivator->deactivate();
}

register_activation_hook( __FILE__, 'activate_Profilegrid_elementor_groups_widget' );
register_deactivation_hook( __FILE__, 'deactivate_Profilegrid_elementor_groups_widget' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-profilegrid-elementor-groups-widget.php';

 
/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_Profilegrid_elementor_groups_widget() {

	$plugin = new Profilegrid_elementor_groups_widget();
	$plugin->run();

}
run_Profilegrid_elementor_groups_widget();