<?php

/**
 * The admin-specific functionality of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Profilegrid_Recent_Signup
 * @subpackage Profilegrid_Recent_Signup/admin
 */

/**
 * The admin-specific functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Profilegrid_Recent_Signup
 * @subpackage Profilegrid_Recent_Signup/admin
 * @author     Your Name <email@example.com>
 */
class Profilegrid_Recent_Signup_Admin {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $profilegrid_recent_signup    The ID of this plugin.
	 */
	private $profilegrid_recent_signup;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $profilegrid_recent_signup       The name of this plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $profilegrid_recent_signup, $version ) {

		$this->profilegrid_recent_signup = $profilegrid_recent_signup;
		$this->version = $version;

	}

	/**
	 * Register the stylesheets for the admin area.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Profilegrid_Recent_Signup_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Profilegrid_Recent_Signup_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */
             if (class_exists('Profile_Magic') ) {
                    wp_enqueue_style( $this->profilegrid_recent_signup, plugin_dir_url( __FILE__ ) . 'css/profilegrid-recent-signup-admin.css', array(), $this->version, 'all' );

             }
	}

	/**
	 * Register the JavaScript for the admin area.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Profilegrid_Recent_Signup_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Profilegrid_Recent_Signup_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */
             if (class_exists('Profile_Magic') ) {
                wp_enqueue_script( $this->profilegrid_recent_signup, plugin_dir_url( __FILE__ ) . 'js/profilegrid-recent-signup-admin.js', array( 'jquery' ), $this->version, false );
            }
	}
	
        public function pm_recent_signup_settings()
        {
            include 'partials/profilegrid-recent-signup-admin-display.php';
        }
        
        public function profilegrid_recent_signup_add_option_setting_page()
        {
            include 'partials/profilegrid-recent-signup-setting-option.php';
        }
        
        public function profile_magic_recent_signup_notice_fun()
        {
            if (!class_exists('Profile_Magic') ) {
                    
                $this->User_activities_installation();
                    //wp_die( "ProfileGrid Stripe won't work as unable to locate ProfileGrid plugin files." );
            }
        }
        
        public function User_activities_installation()
        {
            $plugin_slug= 'profilegrid-user-profiles-groups-and-communities';
            $installUrl = admin_url('update.php?action=install-plugin&plugin=' . $plugin_slug);
            $installUrl = wp_nonce_url($installUrl, 'install-plugin_' . $plugin_slug);
            ?>
            <div class="notice notice-success is-dismissible">
                <p><?php echo sprintf(__( "ProfileGrid Recent Signup work with ProfileGrid Plugin. You can install it  from <a href='%s'>Here</a>.", 'profilegrid-recent-signup' ),$installUrl); ?></p>
            </div>
            <?php
            deactivate_plugins('profilegrid-user-profiles-groups-and-communities-profilegrid-recent-signup/profilegrid-recent-signup.php'); 
        }
        
      
        
        public function activate_sitewide_plugins($blog_id)
        {
            // Switch to new website
            $dbhandler = new PM_DBhandler;
            $activator = new Profile_Magic_Activator;
            switch_to_blog( $blog_id );
            // Activate
            foreach( array_keys( get_site_option( 'active_sitewide_plugins' ) ) as $plugin ) {
                do_action( 'activate_'  . $plugin, false );
                do_action( 'activate'   . '_plugin', $plugin, false );
                $activator->activate();
                
            }
            // Restore current website 
            restore_current_blog();
        }
        
        public function profile_magic_recent_signup_group_option($id,$group_options)
        {
            $dbhandler = new PM_DBhandler;
            if($dbhandler->get_global_option_value('pm_enable_recent_signup','0')==1):
             include 'partials/profilegrid-recent-signup-group-option.php';
            endif;
        }
        
        public function pg_load_activities_widget()
        {
             register_widget('Profilegrid_Recent_Signup_widget');
        }

        public function activated_extension_popup_html()
        {
            $path =  plugin_dir_url(__FILE__);
            ?>
            <div class="pg-extension-wrap pg-extension-active" id="pg-recent-signup-widget-ext-active" style="display: none">
                <div class="pg-extension-modal-icon"> <img src="<?php echo $path;?>partials/images/recent-signup.png" class="options" alt="options"></div>

                    <div class="pg-extension-modal-title"> <?php _e( 'ProfileGrid Recent Signup','profilegrid-recent-signup' ); ?></div>
                    <div class="pg-extension-modal-subhead"><?php _e( 'Displays a list of recently signup users.','profilegrid-recent-signup' ); ?></div>
                    <div class="pg-extension-modal-active-extension"><?php _e( '<strong>Congratulations</strong>, you have successfully installed and activated this extension!','profilegrid-recent-signup' ); ?></div>

                    <div class="pg-extension-modal-des">
                        <?php _e( 'A widget and a shortcode which allows you to display a pre-defined number of recently added users with profile images, and an option to add a custom link. Just head on to Dashboard &#8594; Appearance &#8594; Widgets, and find a new widget named ProfileGrid Recent Signup. It has a bunch of configurable option to match your site’s look and theme and can fit inside any widget position.', 'profilegrid-recent-signup' ); ?>

                    </div>
                </div>
            <?php
        }
}
