<?php

/**
 * @link              http://profilegrid.co
 * @since             1.0.0
 * @package           ProfileGrid_Recent_Signup
 *
 * @wordpress-plugin
 * Plugin Name:       ProfileGrid Recent User Signups
 * Plugin URI:        http://profilegrid.co
 * Description:       A widget and a shortcode which allows you to display a pre-defined number of recently added users with profile images, and an option to add a custom link.
 * Version:           1.2
 * Author:            profilegrid
 * Author URI:        http://profilegrid.co
 * License:           Commercial/ Proprietary
 * Text Domain:       profilegrid-recent-signup
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-profilegrid-recent-signup-activator.php
 */
function activate_profilegrid_recent_signup() {
	$pm_recent_signup_activator = new Profilegrid_Recent_Signup_Activator;
	$pm_recent_signup_activator->activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-profilegrid-recent-signup-deactivator.php
 */
function deactivate_profilegrid_recent_signup() {
        $pm_recent_signup_deactivator = new Profilegrid_Recent_Signup_Deactivator();
	$pm_recent_signup_deactivator->deactivate();
}

register_activation_hook( __FILE__, 'activate_profilegrid_recent_signup' );
register_deactivation_hook( __FILE__, 'deactivate_profilegrid_recent_signup' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-profilegrid-recent-signup.php';
require_once plugin_dir_path( __FILE__ ) . 'plugin-updates/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker('http://profilegrid.co/recent_signup_metadata.json', __FILE__, 'profilegrid-user-profiles-groups-and-communities-profilegrid-recent-signup');
  

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_profilegrid_recent_signup() {

	$plugin = new Profilegrid_Recent_Signup();
	$plugin->run();

}
run_profilegrid_recent_signup();
