<?php

/**
 * The public-facing functionality of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Profilegrid_Recent_Signup
 * @subpackage Profilegrid_Recent_Signup/public
 */

/**
 * The public-facing functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Profilegrid_Recent_Signup
 * @subpackage Profilegrid_Recent_Signup/public
 * @author     Your Name <email@example.com>
 */
class Profilegrid_Recent_Signup_Public {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $profilegrid_recent_signup    The ID of this plugin.
	 */
	private $profilegrid_recent_signup;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $profilegrid_recent_signup       The name of the plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $profilegrid_recent_signup, $version ) {

		$this->profilegrid_recent_signup = $profilegrid_recent_signup;
		$this->version = $version;

	}

	/**
	 * Register the stylesheets for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Profilegrid_Recent_Signup_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Profilegrid_Recent_Signup_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */

		wp_enqueue_style( $this->profilegrid_recent_signup, plugin_dir_url( __FILE__ ) . 'css/profilegrid-recent-signup-public.css', array(), $this->version, 'all' );

	}

	/**
	 * Register the JavaScript for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Profilegrid_Recent_Signup_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Profilegrid_Recent_Signup_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */
                wp_enqueue_script( $this->profilegrid_recent_signup, plugin_dir_url( __FILE__ ) . 'js/profilegrid-recent-signup-public.js', array( 'jquery' ), $this->version, false );
             
	}
        
        public function pg_add_recent_signup($gid,$uid,$type,$activities,$meta='')
        {
            $dbhandler = new PM_DBhandler;
            $identifier = 'ACTIVITIES';
            $time = date("Y-m-d h:i:s");
            $data = array('gid'=>$gid,'uid'=>$uid,'type'=>$type,'activities'=>$activities,'meta'=>$meta,'timestamp'=>$time);
            $format = array('%d','%d','%s','%s','%s','%s');
            $activities_id = $dbhandler->insert_row($identifier, $data, $format);
            //return $activities_id;            
        }
        
        public function profilegrid_recent_signup_join_group($gid,$uid)
        {
           $dbhandler = new PM_DBhandler;
           $pmrequests = new PM_request;
           if($dbhandler->get_global_option_value('pm_enable_registration_activities','0')==1):
            $display_name = $pmrequests->pm_get_display_name($uid);
            $profile_url = $pmrequests->pm_get_user_profile_url($uid);
            $type = 'group';
            $activities = '<a href="'.$profile_url.'">'.$display_name.'</a>'.' '. __('joined the Group','profilegrid-recent-signup');
            $this->pg_add_recent_signup($gid,$uid,$type,$activities);
           endif;
        }
        
        public function profilegrid_recent_signup_group_wall_published($ID, $post)
        {
            $dbhandler = new PM_DBhandler;
            if($dbhandler->get_global_option_value('pm_enable_wall_post_created_activities','0')==1):
                $pmrequests = new PM_request;
                $uid = $post->post_author; /* Post author ID. */
                $gids = $pmrequests->profile_magic_get_user_field_value($uid,'pm_group');  
                $gid = $pmrequests->pg_filter_users_group_ids($gids);
                if(isset($gid) && !empty($gid))
                {
                    if(isset($gid[0]))
                    {
                        $groupid = $gid[0];
                    }
                }

                $display_name = $pmrequests->pm_get_display_name($uid);
                $profile_url = $pmrequests->pm_get_user_profile_url($uid);
                $post_link = get_permalink($ID);
                $type = 'group';
                $activities = '<a href="'.$profile_url.'">'.$display_name.'</a>'.' '. __('created a','profilegrid-recent-signup').' '.'<a href="'.$post_link.'">'.__('new post','profilegrid-recent-signup').'</a>';
                $this->pg_add_recent_signup($groupid,$uid,$type,$activities);
            endif;
        }


        public function profilegrid_recent_signup_blog_published($ID, $post)
        {
            $dbhandler = new PM_DBhandler;
            if($dbhandler->get_global_option_value('pm_enable_blog_post_published_activities','0')==1):
                $pmrequests = new PM_request;
                $uid = $post->post_author; /* Post author ID. */
                $gids = $pmrequests->profile_magic_get_user_field_value($uid,'pm_group');  
                $gid = $pmrequests->pg_filter_users_group_ids($gids);
                if(isset($gid) && !empty($gid))
                {
                    if(isset($gid[0]))
                    {
                        $groupid = $gid[0];
                    }
                }

                $display_name = $pmrequests->pm_get_display_name($uid);
                $profile_url = $pmrequests->pm_get_user_profile_url($uid);
                $post_title = get_the_title($ID);
                $post_link = get_permalink($ID);
                $type = 'group';
                $activities = '<a href="'.$profile_url.'">'.$display_name.'</a>'.' '. __('published a new post','profilegrid-recent-signup').' '.'<a href="'.$post_link.'">'.$post_title.'</a>';
                $this->pg_add_recent_signup($groupid,$uid,$type,$activities);
            endif;
        }
        
        public function profilegrid_recent_signup_group_photo_upload($album_id,$uid)
        {
            $dbhandler = new PM_DBhandler;
            if($dbhandler->get_global_option_value('pm_enable_group_photo_upload_activities','0')==1):
                $pmrequests = new PM_request;
                $identifier = 'ALBUMS';
                $where = 1;
                $additional = "aid = $album_id";
                $album = $dbhandler->get_row($identifier,$album_id);
                $gid = $album->gid;
                $group_url  = $pmrequests->profile_magic_get_frontend_url('pm_group_page','',$gid);
                $group_url = add_query_arg( 'gid',$gid, $group_url );

                $group_name = $dbhandler->get_value('GROUPS','group_name', $gid);
                $display_name = $pmrequests->pm_get_display_name($uid);
                $profile_url = $pmrequests->pm_get_user_profile_url($uid);
                $type = 'group';
                $activities = '<a href="'.$profile_url.'">'.$display_name.'</a>'.' '. __('added a new photo to','profilegrid-recent-signup').' '.'<a href="'.$group_url.'">'.$group_name.'</a>';
                $this->pg_add_recent_signup($gid,$uid,$type,$activities);
            endif;
        }
      
        public function profilegrid_recent_signup_wall_post_comment($comment_ID, $comment_approved,$comment)
        {
            //print_r($comment);
            $dbhandler = new PM_DBhandler;
            if($dbhandler->get_global_option_value('pm_enable_comment_on_wall_post_activities','0')==1):
                $pmrequests = new PM_request;
                $postid = $comment['comment_post_ID'];
                $uid = $comment['user_id'];
                $gids = $pmrequests->profile_magic_get_user_field_value($uid,'pm_group');  
                $gid = $pmrequests->pg_filter_users_group_ids($gids);
                if(isset($gid) && !empty($gid))
                {
                    if(isset($gid[0]))
                    {
                        $groupid = $gid[0];
                    }
                }

                $display_name = $pmrequests->pm_get_display_name($uid);
                $profile_url = $pmrequests->pm_get_user_profile_url($uid);
                $post = get_post($postid);
                $post_author = $post->post_author;
                $display_name2 = $pmrequests->pm_get_display_name($post_author);
                $profile_url2 = $pmrequests->pm_get_user_profile_url($post_author);
                $posttype = $post->post_type;
                $post_link = get_permalink($postid);
                if($posttype=='pg_groupwalls' && $comment_approved===1)
                {
                    $type = 'group';
                    $activities = '<a href="'.$profile_url.'">'.$display_name.'</a>'.' '. __('replied to','profilegrid-recent-signup').' '.'<a href="'.$post_link.'">'. __('a post','profilegrid-recent-signup').'</a>'. __('by','profilegrid-recent-signup').' '.'<a href="'.$profile_url2.'">'.$display_name2.'</a>';
                    $this->pg_add_recent_signup($groupid,$uid,$type,$activities);
                }
            endif;
        }
        
        public function profilegrid_recent_signup_update_group_icon($data,$old_data,$gid)
        {
            $pmrequests = new PM_request;
            $uid = get_current_user_id();
            $type = 'group';
            $dbhandler = new PM_DBhandler;
            if($dbhandler->get_global_option_value('pm_enable_group_icon_change_activities','0')==1):
                if(isset($data['group_icon']) && isset($old_data->group_icon) && $data['group_icon']!=$old_data->group_icon)
                {
                    $activities = __('Group icon was updated.','profilegrid-recent-signup');
                    $this->pg_add_recent_signup($gid,$uid,$type,$activities);
                }
            endif;
            if($dbhandler->get_global_option_value('pm_enable_group_name_change_activities','0')==1):
                if(isset($data['group_name']) && isset($old_data->group_name) && $data['group_name']!=$old_data->group_name)
                {
                    $group_url  = $pmrequests->profile_magic_get_frontend_url('pm_group_page','',$gid);
                    $group_url = add_query_arg( 'gid',$gid, $group_url );
                    $activities = __('Group name was changed to.','profilegrid-recent-signup').' '.'<a href="'.$group_url.'">'.$data['group_name'].'</a>';
                    $this->pg_add_recent_signup($gid,$uid,$type,$activities);
                }
            endif;
            
        }
        
        public function profilegrid_recent_signup_user_leave_group($uid,$gid)
        {
            $dbhandler = new PM_DBhandler;
            if($dbhandler->get_global_option_value('pm_enable_user_left_activities','0')==1):
                $pmrequests = new PM_request;
                $type = 'group';
                $display_name = $pmrequests->pm_get_display_name($uid);
                $profile_url = $pmrequests->pm_get_user_profile_url($uid);
                $activities = '<a href="'.$profile_url.'">'.$display_name.'</a>'.' '. __('left the group','profilegrid-recent-signup');
                $this->pg_add_recent_signup($gid,$uid,$type,$activities);
            endif;
        }
        
        public function profilegrid_recent_signup_group_create($gid)
        {
            $dbhandler = new PM_DBhandler;
            if($dbhandler->get_global_option_value('pm_enable_group_create_activities','0')==1):
                $pmrequests = new PM_request;
                $type = 'group';
                $time = date("jS M Y");
                $uid = get_current_user_id();
                $display_name = $pmrequests->pm_get_display_name($uid);
                $profile_url = $pmrequests->pm_get_user_profile_url($uid);
                $activities = __('Group started by','profilegrid-recent-signup').' '.'<a href="'.$profile_url.'">'.$display_name.'</a>'.' '. __('on','profilegrid-recent-signup').' '.$time;
                $this->pg_add_recent_signup($gid,$uid,$type,$activities);
            endif;
        }
        
        public function profilegrid_recent_signup_remove_group_manager($gid,$uid)
        {
            $dbhandler = new PM_DBhandler;
            if($dbhandler->get_global_option_value('pm_enable_remove_group_manager_activities','0')==1):
                $pmrequests = new PM_request;
                $type = 'group';
                $display_name = $pmrequests->pm_get_display_name($uid);
                $profile_url = $pmrequests->pm_get_user_profile_url($uid);
                $activities = '<a href="'.$profile_url.'">'.$display_name.'</a>'.' '. __('is no longer manager of the group','profilegrid-recent-signup');
                $this->pg_add_recent_signup($gid,$uid,$type,$activities);
            endif;
        }
        
        public function profilegrid_recent_signup_assign_group_manager($gid,$uid)
        {
            $dbhandler = new PM_DBhandler;
            if($dbhandler->get_global_option_value('pm_enable_new_group_manager_activities','0')==1):
                $pmrequests = new PM_request;
                $type = 'group';
                $display_name = $pmrequests->pm_get_display_name($uid);
                $profile_url = $pmrequests->pm_get_user_profile_url($uid);
                $activities = '<a href="'.$profile_url.'">'.$display_name.'</a>'.' '. __('is now manager of the group','profilegrid-recent-signup');
                $this->pg_add_recent_signup($gid,$uid,$type,$activities);
            endif;
            
        }
        
        public function profilegrid_recent_signup_group_registration_full($gid,$uid)
        {
            $dbhandler = new PM_DBhandler;
            $pmrequests = new PM_request;
            $is_group_limit = $dbhandler->get_value('GROUPS','is_group_limit',$gid);
            $meta_query_array = $pmrequests->pm_get_user_meta_query(array('gid'=>$gid));
            $limit = $dbhandler->get_value('GROUPS','group_limit',$gid);
            $members_reach = $dbhandler->get_global_option_value('pm_activities_members_reach_multiply','');
            $total_users_in_group = count($dbhandler->pm_get_all_users('',$meta_query_array));
            if($is_group_limit==1 && $dbhandler->get_global_option_value('pm_enable_registration_full_activities','0')==1)
            {
                if($limit == $total_users_in_group)
                {
                    $type = 'group';
                    $activities =  __('Group membership limit reached','profilegrid-recent-signup');
                    $this->pg_add_recent_signup($gid,$uid,$type,$activities);
            
                }
            }
            
            if($dbhandler->get_global_option_value('pm_enable_group_members_reach_activities','0')==1 && $members_reach!='' && $members_reach<=$total_users_in_group && ($total_users_in_group%$members_reach==0))
            {
                $type = 'group';
                $activities =  sprintf(__('Group now has %d members','profilegrid-recent-signup'),$total_users_in_group);
                $this->pg_add_recent_signup($gid,$uid,$type,$activities);
            }
            
        }
        
         public function register_shortcodes()
        {
            add_shortcode( 'profilegrid_recent_signup', array( $this, 'pg_recent_signup_shortcode' ) );
        }
               
        public function pg_recent_signup_shortcode($instance)
        {
            ob_start();
            $html = ob_get_contents();
            $count = (isset($instance['count']) && $instance['count']!='') ? $instance['count'] : 10;
            $show_more = (isset($instance['show_more']) && $instance['show_more']!='') ? $instance['show_more'] : 0;
            $more_link = (isset($instance['more_link']) && $instance['more_link']!='') ? $instance['more_link'] : '';
            $open_in_new_tab = (isset($instance['open_in_new_tab']) && $instance['open_in_new_tab']!='') ? $instance['open_in_new_tab'] : '';
            $recent_signup_fun = new Profilegrid_Recent_Signup_Functions;
            $recent_signup_fun->recent_signup_html($count,$show_more,$more_link,$open_in_new_tab);
            $html = ob_get_contents();
            ob_end_clean();
            return $html;
        }
        
}
