<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! class_exists( 'Profilegrid_Recent_Signup_widget' ) ) :
    
class Profilegrid_Recent_Signup_widget extends WP_Widget {
  /**
  * To create the example widget all four methods will be 
  * nested inside this single instance of the WP_Widget class.
  **/
    
    public function __construct() {
        $widget_options = array( 
          'classname' => 'profilegrid_recent_signup',
          'description' => __('Show Recent Signup Users','profilegrid-recent-signup'),
        );
        parent::__construct( 'Profilegrid_Recent_Signup_widget', __('ProfileGrid Recent Signup','profilegrid-recent-signup'), $widget_options );
    }
    
    public function widget($args, $instance) {
        
        $title = apply_filters('widget_title', $instance['title']);
        echo $args['before_widget'];
        if (!empty($title))
        echo $args['before_title'] . $title . $args['after_title'];
        $path = plugin_dir_url( __DIR__ ).'public/partials/images';
        //echo plugin_dir_path( __FILE__ );
        $count = (isset($instance['count']) && $instance['count']!='') ? $instance['count'] : 10;
        $show_more = (isset($instance['show_more']) && $instance['show_more']!='') ? $instance['show_more'] : 0;
        $more_link = (isset($instance['more_link']) && $instance['more_link']!='') ? $instance['more_link'] : '';
        $open_in_new_tab = (isset($instance['open_in_new_tab']) && $instance['open_in_new_tab']!='') ? $instance['open_in_new_tab'] : '';

        $hero_funciton = new Profilegrid_Recent_Signup_Functions;
        $hero_funciton->recent_signup_html($count,$show_more,$more_link,$open_in_new_tab);
        
        ?>

		
				
				

        <?php
        echo $args['after_widget'];
    }
    
    public function form($instance) {
        $dbhandler = new PM_DBhandler;
        $pg_groups =  $dbhandler->get_all_result('GROUPS');
        if (isset($instance['title'])) {
            $title = $instance['title'];
        } else {
            $title = '';
        }
        $count = (isset($instance['count']) && $instance['count']!='') ? $instance['count'] : 10;
        $show_more = (isset($instance['show_more']) && $instance['show_more']!='') ? $instance['show_more'] : 0;
        $more_link = (isset($instance['more_link']) && $instance['more_link']!='') ? $instance['more_link'] : '';
        $open_in_new_tab = (isset($instance['open_in_new_tab']) && $instance['open_in_new_tab']!='') ? $instance['open_in_new_tab'] : 0;
        ?>
        <p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:','profilegrid-recent-signup');?>
                <input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr( $title ); ?>" />
            </label>
        </p>
         <p>
            <label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('Count:','profilegrid-recent-signup'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="number" value="<?php echo esc_attr($count); ?>" />
        </p>
        
         <p>
            <label for="<?php echo $this->get_field_id('show_more'); ?>"><?php _e('Show More Link:','profilegrid-recent-signup'); ?></label> 
            <div class="uiminput">
           <input name="<?php echo $this->get_field_name('show_more'); ?>" id="<?php echo $this->get_field_id('show_more'); ?>" type="checkbox" <?php checked($show_more,'1'); ?> class="pm_toggle" value="1" style="display:none;" onClick="pm_show_hide(this,'<?php echo $this->get_field_id('show_more_html');?>')" />
          <label for="<?php echo $this->get_field_id('show_more'); ?>"></label>
        </div>
           
        </p>
        <br/>
        
        <div id="<?php echo $this->get_field_id('show_more_html'); ?>" <?php if($show_more!="1"): ?> style="display:none;" <?php endif; ?>>
            <p> <label for="<?php echo $this->get_field_id( 'more_link' ); ?>"><?php _e('More Link URL:','profilegrid-recent-signup');?>
                <input type="text" class="widefat" id="<?php echo $this->get_field_id( 'more_link' ); ?>" name="<?php echo $this->get_field_name( 'more_link' ); ?>" value="<?php echo esc_attr( $more_link ); ?>" />
                </label></p>
          
                <p><label for="<?php echo $this->get_field_id('open_in_new_tab'); ?>"><?php _e('Open link in a new tab:','profilegrid-recent-signup'); ?></label>
            <div class="uiminput">
               <input name="<?php echo $this->get_field_name('open_in_new_tab'); ?>" id="<?php echo $this->get_field_id('open_in_new_tab'); ?>" type="checkbox" <?php checked($open_in_new_tab,'1'); ?> class="pm_toggle" value="1" style="display:none;" />
              <label for="<?php echo $this->get_field_id('open_in_new_tab'); ?>"></label>
            </div></p>
        </div>
        <br/>
        <?php
    }
}

endif;

 