<?php

/**
 * Fired during plugin activation
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Profilegrid_User_Activities
 * @subpackage Profilegrid_User_Activities/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Profilegrid_User_Activities
 * @subpackage Profilegrid_User_Activities/includes
 * @author     Your Name <email@example.com>
 */
class Profilegrid_User_Activities_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
         public function activate()
         {
                 global $wpdb;
            if (class_exists('Profile_Magic') ) 
            {
                if ( is_multisite()) {
                    // Get all blogs in the network and activate plugin on each one
                    $blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );
                    foreach ( $blog_ids as $blog_id ) {
                        switch_to_blog( $blog_id );
                        $this->create_table();
                        restore_current_blog();
                    }
                } else {
                   $this->create_table();
                }
            }
         }
         
         public function create_table() {

            global $wpdb;
            if(version_compare(get_bloginfo('version'),'6.1') < 0)
            {
                require_once ABSPATH . 'wp-includes/wp-db.php';
            }
            else
            {
                require_once( ABSPATH . 'wp-includes/class-wpdb.php');
            }
            require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
           $pm_helper = new PM_Helper_ACTIVITIES;
            //Ensures proper charset support. Also limits support for WP v3.5+.
            $charset_collate = $wpdb->get_charset_collate();
             $table_name = $pm_helper->get_db_table_name('ACTIVITIES');
            $sql = "CREATE TABLE IF NOT EXISTS $table_name (
		  `id` int(11) NOT NULL AUTO_INCREMENT,
		  `gid` int(11) NOT NULL,
                  `uid` int(11) NOT NULL,
		  `type` longtext DEFAULT NULL,
                  `activities` longtext DEFAULT NULL,
                  `meta` longtext DEFAULT NULL,
                  `timestamp` datetime NOT NULL,
		 PRIMARY KEY (`id`)
		)$charset_collate;";
              dbDelta($sql);
             
            
	}
	
}