<?php

/**
 * @link              http://profilegrid.co
 * @since             1.0.0
 * @package           ProfileGrid_User_Activities
 *
 * @wordpress-plugin
 * Plugin Name:       ProfileGrid User Activities
 * Plugin URI:        http://profilegrid.co
 * Description:       Display various activities by different users inside a beautiful widget, that can fit any widget area of your website.
 * Version:           1.2
 * Author:            profilegrid
 * Author URI:        http://profilegrid.co
 * License:           Commercial/ Proprietary
 * Text Domain:       profilegrid-user-activities
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-profilegrid-user-activities-activator.php
 */
function activate_profilegrid_user_activities() {
	$pm_user_activities_activator = new Profilegrid_User_Activities_Activator;
	$pm_user_activities_activator->activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-profilegrid-user-activities-deactivator.php
 */
function deactivate_profilegrid_user_activities() {
        $pm_user_activities_deactivator = new Profilegrid_User_Activities_Deactivator();
	$pm_user_activities_deactivator->deactivate();
}

register_activation_hook( __FILE__, 'activate_profilegrid_user_activities' );
register_deactivation_hook( __FILE__, 'deactivate_profilegrid_user_activities' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-profilegrid-user-activities.php';
require_once plugin_dir_path( __FILE__ ) . 'plugin-updates/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker('http://profilegrid.co/user_activities_metadata.json', __FILE__, 'profilegrid-user-profiles-groups-and-communities-profilegrid-user-activities');
  

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_profilegrid_user_activities() {

	$plugin = new Profilegrid_User_Activities();
	$plugin->run();

}
run_profilegrid_user_activities();
