<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! class_exists( 'Profilegrid_User_Activities_widget' ) ) :
    
class Profilegrid_User_Activities_widget extends WP_Widget {
  /**
  * To create the example widget all four methods will be 
  * nested inside this single instance of the WP_Widget class.
  **/
    
    public function __construct() {
        $widget_options = array( 
          'classname' => 'profilegrid_user_activities',
          'description' => __('Show users activities based on Group','profilegrid-user-activities'),
        );
        parent::__construct( 'Profilegrid_User_Activities_widget', __('ProfileGrid User Activities','profilegrid-user-activities'), $widget_options );
    }
    
    public function widget($args, $instance) {
        
        $title = apply_filters('widget_title', $instance['title']);
        echo $args['before_widget'];
        if (!empty($title))
        echo $args['before_title'] . $title . $args['after_title'];
        $path = plugin_dir_url( __DIR__ ).'public/partials/images';
        //echo plugin_dir_path( __FILE__ );
        $count = (isset($instance['count']) && $instance['count']!='') ? $instance['count'] : 10;
        $order = (isset($instance['order']) && $instance['order']!='') ? $instance['order'] : 'desc';
        $groups = (isset($instance['groups']) && $instance['groups']!='') ? $instance['groups'] : 'ALL';

        $hero_funciton = new Profilegrid_User_Activities_Functions;
        $hero_funciton->users_activities_html($count,$order,$groups);
        
        ?>

		
				
				

        <?php
        echo $args['after_widget'];
    }
    
    public function form($instance) {
        $dbhandler = new PM_DBhandler;
        $pg_groups =  $dbhandler->get_all_result('GROUPS');
        if (isset($instance['title'])) {
            $title = $instance['title'];
        } else {
            $title = '';
        }
        $count = (isset($instance['count']) && $instance['count']!='') ? $instance['count'] : 10;
        $order = (isset($instance['order']) && $instance['order']!='') ? $instance['order'] : 'desc';
        $groups = (isset($instance['groups']) && $instance['groups']!='') ? $instance['groups'] : 'all';
        
        ?>
        <p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:','profilegrid-user-activities');?>
                <input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr( $title ); ?>" />
            </label>
        </p>
         <p>
            <label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('Count:','profilegrid-user-activities'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="number" value="<?php echo esc_attr($count); ?>" />
        </p>
        
         <p>
            <label for="<?php echo $this->get_field_id('order'); ?>"><?php _e('Order:','profilegrid-user-activities'); ?></label> 
            <select class="wide" id="<?php echo $this->get_field_id('order'); ?>" name="<?php echo $this->get_field_name('order'); ?>">
                <option value="desc" <?php if($order=='desc')echo 'selected';?>><?php _e('Latest','profilegrid-user-activities'); ?></option>
                <option value="asc" <?php if($order=='asc')echo 'selected';?>><?php _e('Oldest','profilegrid-user-activities'); ?></option>
          
            </select> 
        </p>
        
        
        <p>
            <label for="<?php echo $this->get_field_id('groups'); ?>"><?php _e('Choose Group:','profilegrid-user-activities'); ?></label> <br />
            <select class="wide" id="<?php echo $this->get_field_id('groups'); ?>" name="<?php echo $this->get_field_name('groups'); ?>">
                <option value="all" <?php if('all'==$groups)echo 'selected';?>><?php _e('All','profilegrid-user-activities');?></option>
                <?php foreach($pg_groups as $pggroup): ?>
                <option value="<?php echo $pggroup->id; ?>" <?php if($pggroup->id==$groups)echo 'selected';?>><?php echo $pggroup->group_name; ?></option>
           <?php  endforeach;
            ?>
            </select> 
        </p>
        
        <?php
    }
}

endif;

 