<?php

/**
 * The admin-specific functionality of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Profilegrid_Userid_Slug_Changer
 * @subpackage Profilegrid_Userid_Slug_Changer/admin
 */

/**
 * The admin-specific functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Profilegrid_Userid_Slug_Changer
 * @subpackage Profilegrid_Userid_Slug_Changer/admin
 * @author     Your Name <email@example.com>
 */
class Profilegrid_Userid_Slug_Changer_Admin {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $profilegrid_userid_slug_changer    The ID of this plugin.
	 */
	private $profilegrid_userid_slug_changer;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $profilegrid_userid_slug_changer       The name of this plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $profilegrid_userid_slug_changer, $version ) {

		$this->profilegrid_userid_slug_changer = $profilegrid_userid_slug_changer;
		$this->version = $version;

	}

	/**
	 * Register the stylesheets for the admin area.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Profilegrid_Userid_Slug_Changer_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Profilegrid_Userid_Slug_Changer_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */
            if (class_exists('Profile_Magic') ) {
                wp_enqueue_style( $this->profilegrid_userid_slug_changer, plugin_dir_url( __FILE__ ) . 'css/profilegrid-userid-slug-changer-admin.css', array(), $this->version, 'all' );           
            }
	}

	/**
	 * Register the JavaScript for the admin area.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Profilegrid_Userid_Slug_Changer_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Profilegrid_Userid_Slug_Changer_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */
            if (class_exists('Profile_Magic') ) {
            $pmrequests = new PM_request;
            $is_pg_dashboard_page = $pmrequests->is_pg_dashboard_page();
            if($is_pg_dashboard_page):
		wp_enqueue_script( $this->profilegrid_userid_slug_changer, plugin_dir_url( __FILE__ ) . 'js/profilegrid-userid-slug-changer-admin.js', array( 'jquery' ), $this->version, false );
            endif;
            }
	}
        
        public function profilegrid_userid_slug_changer_admin_menu()
	{
                add_submenu_page("",__("Userid Slug Changer Settings","profilegrid-custom-profile-slugs"),__("Userid Slug Changer Settings","profilegrid-custom-profile-slugs"),"manage_options","pm_uid_changer_settings",array( $this, 'pm_uid_changer_settings' ));
        }
	
        public function pm_uid_changer_settings()
        {
            include 'partials/profilegrid-userid-slug-changer-admin-display.php';
        }
        
        public function profilegrid_userid_slug_changer_add_option_setting_page()
        {
            include 'partials/profilegrid-userid-slug-changer-setting-option.php';
        }
        
        public function profile_magic_display_name_notice_fun()
        {
            if (!class_exists('Profile_Magic') ) {
                    
                $this->Display_name_installation();
                    //wp_die( "ProfileGrid Stripe won't work as unable to locate ProfileGrid plugin files." );
            }
        }
        
        public function Display_name_installation()
        {
            $plugin_slug= 'profilegrid-user-profiles-groups-and-communities';
            $installUrl = admin_url('update.php?action=install-plugin&plugin=' . $plugin_slug);
            $installUrl = wp_nonce_url($installUrl, 'install-plugin_' . $plugin_slug);
            ?>
            <div class="notice notice-success is-dismissible">
                <p><?php echo sprintf(__( "ProfileGrid Userid Slug Changer work with ProfileGrid Plugin. You can install it  from <a href='%s'>Here</a>.", 'profilegrid-custom-profile-slugs'),$installUrl ); ?></p>
            </div>
            <?php
             $plugin = trim(basename(plugin_dir_path(dirname( __FILE__))).'/profilegrid-userid-slug-changer.php'); 
             deactivate_plugins($plugin);
        }
        
      
        
        public function activate_sitewide_plugins($blog_id)
        {
            // Switch to new website
            $dbhandler = new PM_DBhandler;
            $activator = new Profile_Magic_Activator;
            switch_to_blog( $blog_id );
            // Activate
            foreach( array_keys( get_site_option( 'active_sitewide_plugins' ) ) as $plugin ) {
                do_action( 'activate_'  . $plugin, false );
                do_action( 'activate'   . '_plugin', $plugin, false );
                $activator->activate();
                
            }
            // Restore current website 
            restore_current_blog();
        }

}
