<?php
$dbhandler = new PM_DBhandler;
$pmrequests = new PM_request;
$path =  plugin_dir_url(__FILE__);
$identifier = 'SETTINGS';
$profile_url = $pmrequests->profile_magic_get_frontend_url( 'pm_user_profile_page', '' );
$base = $dbhandler->get_global_option_value('pm_user_profile_base','uid');
$pm_profile_url = $dbhandler->get_global_option_value('pm_profile_url','uid');
if(filter_input(INPUT_POST,'submit_settings'))
{
	$retrieved_nonce = filter_input(INPUT_POST,'_wpnonce');
	if (!wp_verify_nonce($retrieved_nonce, 'save_uid_changer_settings' ) ) die( 'Failed security check' );
	$exclude = array("_wpnonce","_wp_http_referer","submit_settings");
	if(!isset($_POST['pm_enable_uid_changer'])) $_POST['pm_enable_uid_changer'] = 0;
        $post = $pmrequests->sanitize_request($_POST,$identifier,$exclude);
	if($post!=false)
	{
		foreach($post as $key=>$value)
		{
			$dbhandler->update_global_option_value($key,$value);
		}
	}
        global $wp_rewrite;
        $wp_rewrite->flush_rules();
	//wp_redirect('admin.php?page=pm_settings');exit;
}
?>

<div class="uimagic">
  <form name="pm_display_settings" id="pm_display_settings" method="post">
    <!-----Dialogue Box Starts----->
    <div class="content">
      <div class="uimheader">
        <?php _e( 'Custom User Profile Slugs Settings','profilegrid-custom-profile-slugs' ); ?>
      </div>
     

          <?php if(filter_input(INPUT_POST,'submit_settings')): ?>
          <div class="pg-uim-notice-wrap">
              <div class="pg-uim-notice pg-template-notice"><?php _e("If your are unable to see change in URL slugs after saving, go to <a href='options-permalink.php'>Settings -> Permalinks</a> and click 'Save Changes'.",'profilegrid-custom-profile-slugs');?></div>
         </div>
          <?php endif; ?>
    
    
        <div class="uimrow">
        <div class="uimfield">
          <?php _e( 'Enable Custom Profile Slugs','profilegrid-custom-profile-slugs' ); ?>
        </div>
        <div class="uiminput">
           <input name="pm_enable_uid_changer" id="pm_enable_uid_changer" type="checkbox" <?php checked($dbhandler->get_global_option_value('pm_enable_uid_changer','0'),'1'); ?> class="pm_toggle" value="1" style="display:none;" onClick="pm_show_hide(this,'pm_uid_changer_html')" />
          <label for="pm_enable_uid_changer"></label>
        </div>
        <div class="uimnote"><?php _e("Turns on the custom profile slug feature and displays options to select the slug format.",'profilegrid-custom-profile-slugs');?></div>
      </div>
        
      <div class="childfieldsrow" id="pm_uid_changer_html" style="<?php if($dbhandler->get_global_option_value('pm_enable_uid_changer','0')=='1'){echo 'display:block;';} else { echo 'display:none;';} ?>">
        
           
          
        <div class="uimrow">
          <div class="uimfield">
            <?php _e('Slug Format','profilegrid-custom-profile-slugs');?>
          </div>
          <div class="uiminput pg-custom-url-changer-options">             
              <ul class="uimradio pg-uid-url-changer-wrap">
              <li>
                <input type="radio" name="pm_profile_url" id="pm_profile_url_uid" value="uid" <?php checked($dbhandler->get_global_option_value('pm_profile_url','uid'),'uid'); ?> onClick="pm_show_hide_base_html(this)" />
                <div class="pg-uid-url-changer"><span class="pm-url-label"><?php esc_html_e('User ID','profilegrid-user-profiles-groups-and-communities' ); ?></span>
                     <span class="pm-url-example"><?php echo esc_html($profile_url.'?uid=123')?></span>
                </div>
                <div class="uimnote"><?php _e("The slug is the unique user ID of the current user, used as uid value.",'profilegrid-custom-profile-slugs');?></div>
              </li>
              
               <li>
                <input type="radio" name="pm_profile_url" id="pm_profile_url_user_name" value="user_name" <?php checked($dbhandler->get_global_option_value('pm_profile_url','uid'),'user_name'); ?> onClick="pm_show_hide_base_html(this)"/>
                <div class="pg-uid-url-changer"><span class="pm-url-label"><?php esc_html_e('Username','profilegrid-user-profiles-groups-and-communities' ); ?></span>
                <span class="pm-url-example"><?php echo esc_html($profile_url.'?uid=user_name')?></span>
                </div>
                <div class="uimnote"><?php _e("The slug is the unique username of the current user, used as uid value.",'profilegrid-custom-profile-slugs');?></div>
              </li>
              
              <li>
                <input type="radio" name="pm_profile_url" id="pm_profile_url_random_number" value="random_number" <?php checked($dbhandler->get_global_option_value('pm_profile_url','uid'),'random_number'); ?> onClick="pm_show_hide_base_html(this)" />
                <div class="pg-uid-url-changer"><span class="pm-url-label"><?php esc_html_e('Random String','profilegrid-user-profiles-groups-and-communities' ); ?></span>
                <span class="pm-url-example"><?php echo esc_html($profile_url.'?uid=RUd6Yk51aklKTWJmcW1hK05rZ05YQT09')?></span>
                </div>
                <div class="uimnote"><?php _e("The slug is a unique alphanumeric string generated for each user, used as uid value. Useful when you do not wish your website slugs to contain any identity information.",'profilegrid-custom-profile-slugs');?></div>
         
              </li>
              
              <li>
                <input type="radio" name="pm_profile_url" id="pm_profile_url_safe_uid" value="safe_uid" <?php checked($dbhandler->get_global_option_value('pm_profile_url','uid'),'safe_uid'); ?> onClick="pm_show_hide_base_html(this)" />
                <div class="pg-uid-url-changer"><span class="pm-url-label"><?php esc_html_e('User ID (Clean URL)','profilegrid-user-profiles-groups-and-communities' ); ?></span>
                <span class="pm-url-example"><?php echo esc_html($profile_url.$base.'/123/')?></span>
                </div>
                <div class="uimnote"><?php _e("The slug is the unique user ID of the current user.",'profilegrid-custom-profile-slugs');?></div>
          
              </li>
              
               <li>
                <input type="radio" name="pm_profile_url" id="pm_profile_url_safe_user_name" value="safe_user_name" <?php checked($dbhandler->get_global_option_value('pm_profile_url','uid'),'safe_user_name'); ?> onClick="pm_show_hide_base_html(this)" />
                <div class="pg-uid-url-changer"><span class="pm-url-label"><?php esc_html_e('Username (Clean URL)','profilegrid-user-profiles-groups-and-communities' ); ?></span>
                    <span class="pm-url-example"><?php echo esc_html($profile_url.$base.'/user_name/')?></span>
                </div>
                <div class="uimnote"><?php _e("The slug is the unique username of the current user.",'profilegrid-custom-profile-slugs');?></div>
         
              </li>
              
              <li>
                <input type="radio" name="pm_profile_url" id="pm_profile_url_safe_random_number" value="safe_random_number" <?php checked($dbhandler->get_global_option_value('pm_profile_url','uid'),'safe_random_number'); ?> onClick="pm_show_hide_base_html(this)" />
                <div class="pg-uid-url-changer"><span class="pm-url-label"><?php esc_html_e('Random String (Clean URL)','profilegrid-user-profiles-groups-and-communities' ); ?></span>
                <span class="pm-url-example"><?php echo esc_html($profile_url.$base.'/RUd6Yk51aklKTWJmcW1hK05rZ05YQT09/')?></span>
                </div>
                <div class="uimnote"><?php _e("The slug is a unique alphanumeric string generated for each user. Useful when you do not wish your website URL slugs to contain any identity information.",'profilegrid-custom-profile-slugs');?></div>
           
              </li>
               
          </ul>
              
              
           
            <div class="errortext"></div>
          </div>
            
        </div>   
          
          <div class="childfieldsrow" id="pm_base_html" style="<?php if($pm_profile_url=='safe_uid' || $pm_profile_url=='safe_user_name' || $pm_profile_url=='safe_random_number' ){echo 'display:block;';} else { echo 'display:none;';} ?>">
      
          <div class="uimrow">
        <div class="uimfield">
          <?php esc_html_e('Base/ Subdirectory for Clean URLs','profilegrid-user-profiles-groups-and-communities');?>
        </div>
        <div class="uiminput">
            <input name="pm_user_profile_base" id="pm_user_profile_base" class="pm-user-profile-base"  type="text" value="<?php echo esc_attr($dbhandler->get_global_option_value('pm_user_profile_base','uid'));?>">
          <div class="errortext"></div>
        </div>
        <div class="uimnote"><?php esc_html_e('This will be the base or subdirectory for all user profile URLs on your website. For example: yourdomain.com/{base}/{slug}.','profilegrid-user-profiles-groups-and-communities');?></div>
      </div>
          </div>   
      </div>
        
 
      <div class="buttonarea"> 
          <a href="admin.php?page=pm_settings">
        <div class="cancel">&#8592; &nbsp;
          <?php _e('back','profilegrid-custom-profile-slugs');?>
        </div>
        </a>
        <?php wp_nonce_field('save_uid_changer_settings'); ?>
        <input type="submit" value="<?php _e('Save','profilegrid-custom-profile-slugs');?>" name="submit_settings" id="submit_settings" />
        <div class="all_error_text" style="display:none;"></div>
      </div>
    </div>
   
  </form>
</div>