<?php

/**
 * @link              http://profilegrid.co
 * @since             1.0.0
 * @package           ProfileGrid_Group_photos
 *
 * @wordpress-plugin
 * Plugin Name:       ProfileGrid Custom User Profile Slugs
 * Plugin URI:        http://profilegrid.co
 * Description:       Define how your user profile URL's will appear to site visitors and search engines. Take control of your user profile permalinks and add dynamic slugs.
 * Version:           1.9
 * Author:            profilegrid
 * Author URI:        http://profilegrid.co
 * License:           Commercial/ Proprietary 
 * Text Domain:       profilegrid-custom-profile-slugs
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-profilegrid-userid-slug-changer-activator.php
 */
function activate_profilegrid_userid_slug_changer() {
	$pm_display_name_activator = new Profilegrid_Userid_Slug_Changer_Activator;
	$pm_display_name_activator->activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-profilegrid-userid-slug-changer-deactivator.php
 */
function deactivate_profilegrid_userid_slug_changer() {
        $pm_display_name_deactivator = new Profilegrid_Userid_Slug_Changer_Deactivator();
	$pm_display_name_deactivator->deactivate();
}

register_activation_hook( __FILE__, 'activate_profilegrid_userid_slug_changer' );
register_deactivation_hook( __FILE__, 'deactivate_profilegrid_userid_slug_changer' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-profilegrid-userid-slug-changer.php';
require_once plugin_dir_path( __FILE__ ) . 'plugin-updates/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker('http://profilegrid.co/custom_profile_slugs_metadata.json', __FILE__, 'profilegrid-user-profiles-groups-and-communities-profilegrid-custom-profile-slugs');
  
/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_profilegrid_userid_slug_changer() {

	$plugin = new Profilegrid_Userid_Slug_Changer();
	$plugin->run();

}
run_profilegrid_userid_slug_changer();
//add_action('init', 'your_plugin_rules',9999999999999);
//function your_plugin_rules() {
//    //echo $_GET['uid'];
//    global $wp_rewrite;
//
//    add_rewrite_rule( "my-profile/(.+)?$","index.php/my-profile/?uid=$1", "top");
//    $wp_rewrite->flush_rules();
//}

